View Issue Details

IDProjectCategoryView StatusLast Update
0002487OpenFOAM[All Projects] Bugpublic2017-03-10 20:49
ReporteryuanchuanliuAssigned Tohenry 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformGNU/LinuxOSUbuntuOS Version16.04
Product Version4.x 
Fixed in Versiondev 
Summary0002487: Error with sixDoFRigidBodyDisplacementPointPatchVectorField in parallel
DescriptionWhen a case using sixDoFRigidBodyDisplacement as the BC for a patch in the pointDisplacement field is decomposed and runs in parallel, the following error occurs: keyword solver is undefined in dictionary "case/processor0/0/pointDisplacement.boundaryField.body".
Additional InformationIt is associated with the write function in the sixDoFRigidBodyMotion library, which does not write the variables related to SixDoFSolver settings when called by sixDoFRigidBodyDisplacementPointPatchVectorField::write().
TagsNo tags attached.

Relationships

related to 0001530 closedhenry fvMeshDistribute does not handle pointFIelds 

Activities

henry

2017-03-09 16:08

manager   ~0007871

Do you have a small case which reproduces this problem? All of the tutorial cases run fine using the newer and better sixDoFRigidBodyMotion specification so I do not have a case which fails.

yuanchuanliu

2017-03-09 17:07

reporter  

floatingObject-pointDisplacement.tar.gz (4,308 bytes)

yuanchuanliu

2017-03-09 17:09

reporter   ~0007880

I have added a case adapted from the floatingObject tutorial using the interDyMFoam solver. Execute Allrun script to attempt to run the case in parallel, which will exit with the error reported above.

henry

2017-03-09 17:40

manager   ~0007883

One possible fix for this problem is to remove the deprecated sixDoFRigidBodyDisplacement BC altogether. Is there a particular reason why you need this BC rather than use the more flexible sixDoFRigidBodyMotion solver?

yuanchuanliu

2017-03-09 17:51

reporter   ~0007886

Not at all. I was just running some old simulations and encountered this issue so I chose to report it. I agree with you that the sixDoFRigidBodyMotion solver is better. Please do so if it is easier to remove this BC than to develop a fix with a lot of efforts. Thanks.

henry

2017-03-09 18:00

manager   ~0007887

OK, thanks for the clarification. I think at this stage it is more efficient to move to the new method rather than spend effort maintaining legacy and deprecated functionality.

henry

2017-03-09 23:22

manager   ~0007888

Resolved in OpenFOAM-dev by commit 55f3e808eddb1180b459a81d724de84638ad6933

Issue History

Date Modified Username Field Change
2017-03-06 11:52 yuanchuanliu New Issue
2017-03-06 20:21 wyldckat Relationship added related to 0001530
2017-03-09 16:08 henry Note Added: 0007871
2017-03-09 17:07 yuanchuanliu File Added: floatingObject-pointDisplacement.tar.gz
2017-03-09 17:09 yuanchuanliu Note Added: 0007880
2017-03-09 17:40 henry Note Added: 0007883
2017-03-09 17:51 yuanchuanliu Note Added: 0007886
2017-03-09 18:00 henry Note Added: 0007887
2017-03-09 23:22 henry Assigned To => henry
2017-03-09 23:22 henry Status new => resolved
2017-03-09 23:22 henry Resolution open => fixed
2017-03-09 23:22 henry Fixed in Version => dev
2017-03-09 23:22 henry Note Added: 0007888